SubIntegerTokenization (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.SubIntegerTokenization class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class SubIntegerTokenization

    java.lang.Object
      org.biojava.utils.Unchangeable
          org.biojava.bio.seq.io.WordTokenization
              org.biojava.bio.seq.io.SubIntegerTokenization

All Implemented Interfaces:
  Serializable, Annotatable, SymbolTokenization, Changeable

    public class SubIntegerTokenization

extends WordTokenization

Author:
  Mark Schreiber
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.io.SymbolTokenization
`SymbolTokenization.TokenType`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.seq.io.SymbolTokenization
`CHARACTER, FIXEDWIDTH, SEPARATED, UNKNOWN`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`SubIntegerTokenization(IntegerAlphabet.SubIntegerAlphabet alpha)`

Method Summary
`Symbol` | `parseToken(String seq)` Returns the symbol for a single token.
`String` | `tokenizeSymbol(Symbol sym)` Return a token representing a single symbol.

Methods inherited from class org.biojava.bio.seq.io.WordTokenization
`getAlphabet, getAnnotation, getTokenType, parseStream, parseString, splitString, tokenizeSymbolList`

Methods inherited from class org.biojava.utils.Unchangeable
`addChangeListener, addChangeListener, addForwarder, getForwarders, getListeners, isUnchanging, removeChangeListener, removeChangeListener, removeForwarder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### SubIntegerTokenization

    public SubIntegerTokenization(IntegerAlphabet.SubIntegerAlphabet alpha)

Method Detail

### parseToken

    public Symbol parseToken(String seq)
                      throws IllegalSymbolException

  Description copied from interface: `SymbolTokenization`
  Returns the symbol for a single token.

  The Symbol will be a member of the alphabet. If the token is not recognized as mapping to a symbol, an exception will be thrown.

  Parameters:
    `seq` - the token to retrieve a Symbol for
  Returns:
    the Symbol for that token
  Throws:
    `IllegalSymbolException` - if there is no Symbol for the token

### tokenizeSymbol

    public String tokenizeSymbol(Symbol sym)
                          throws IllegalSymbolException

  Description copied from interface: `SymbolTokenization`
  Return a token representing a single symbol.

  Parameters:
    `sym` - The symbol
  Throws:
    `IllegalSymbolException` - if the symbol isn't recognized.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD